Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Join

    java.lang.Object
      com.ibm.websphere.query.base.Join

All Implemented Interfaces:
  IJoin, IStringBuilder, java.io.Serializable

    public class Join

extends java.lang.Object
implements IJoin

This is a basic implementation of IJoin.

See Also:
  Serialized Form

Constructor Summary
`Join(ITable table, IAttribute fromAttribute, IAttribute toAttribute)`
`Join(ITable table, IAttribute compareAttribute, IAttribute fromAttribute, IAttribute toAttribute)`

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`boolean` | `equals(java.lang.Object obj)`
`IAttribute` | `getCompareAttribute()`
`IAttribute` | `getFromAttribute()`
`ITable` | `getTable()`
`IAttribute` | `getToAttribute()`
`int` | `hashCode()`
`void` | `setCompareAttribute(IAttribute attribute)`
`void` | `setFromAttribute(IAttribute attribute)`
`void` | `setTable(ITable table)`
`void` | `setToAttribute(IAttribute attribute)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Join

    public Join(ITable table,
                IAttribute compareAttribute,
                IAttribute fromAttribute,
                IAttribute toAttribute)

### Join

    public Join(ITable table,
                IAttribute fromAttribute,
                IAttribute toAttribute)

Method Detail

### getFromAttribute

    public IAttribute getFromAttribute()

  Specified by:
    `getFromAttribute` in interface `IJoin`

### getTable

    public ITable getTable()

  Specified by:
    `getTable` in interface `IJoin`

### getToAttribute

    public IAttribute getToAttribute()

  Specified by:
    `getToAttribute` in interface `IJoin`

### setFromAttribute

    public void setFromAttribute(IAttribute attribute)

  Specified by:
    `setFromAttribute` in interface `IJoin`

### setTable

    public void setTable(ITable table)

  Specified by:
    `setTable` in interface `IJoin`

### setToAttribute

    public void setToAttribute(IAttribute attribute)

  Specified by:
    `setToAttribute` in interface `IJoin`

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### getCompareAttribute

    public IAttribute getCompareAttribute()

  Specified by:
    `getCompareAttribute` in interface `IJoin`

### setCompareAttribute

    public void setCompareAttribute(IAttribute attribute)

  Specified by:
    `setCompareAttribute` in interface `IJoin`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD